"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Cross joins the array's values among the given arrays,
 * returning a Cartesian product with all possible permutations
 * @param array1
 * @param array2
 * @example
 * crossJoin([1, 2], ['a', 'b']); // [[1, 'a'], [1, 'b'], [2, 'a'], [2, 'b']]
 */
function crossJoin(array1, array2) {
    const joined = [];
    array1.forEach(item => array2.forEach(value => joined.push([item, value])));
    return joined;
}
exports.default = crossJoin;
//# sourceMappingURL=index.js.map