"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns all the distinct values of an array
 * @param array
 * @param fn
 * @example
 * distinctBy([1, 2, 2, 3, 4, 4, 5], (a, b) => a === b); // [1,2,3,4,5]
 */
function distinctBy(array, fn) {
    const distinct = [];
    array.forEach((a) => {
        let had = false;
        for (const d of distinct) {
            if (fn(a, d)) {
                had = true;
                break;
            }
        }
        if (!had)
            distinct.push(a);
    });
    return distinct;
}
exports.default = distinctBy;
//# sourceMappingURL=index.js.map