"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../../object/equals/index.js"));
const index_js_2 = __importDefault(require("../range/index.js"));
/**
 * Checks if the array is equal to the given value
 * @param arr
 * @param value
 * @example
 * equals([1,2,3], [2,1,3]); // false
 */
function equals(arr, value) {
    if (!Array.isArray(value))
        return false;
    if (arr.length !== value.length)
        return false;
    return (0, index_js_2.default)(arr.length - 1).every(key => (0, index_js_1.default)(arr[key], value[key]));
}
exports.default = equals;
//# sourceMappingURL=index.js.map