declare global {
    interface Array<T> {
        /**
         * Given a flat array of objects linked to one another, it will nest them recursively
         * @param [link="parent_id"]
         * @param [key="id"]
         * @example
         * const comments = [
         *   { id: 1, comment_id: null },
         *   { id: 2, comment_id: 1 },
         *   { id: 3, comment_id: 1 },
         *   { id: 4, comment_id: 2 },
         *   { id: 5, comment_id: 4 }
         * ];
         * comments.nest("comment_id"); // [{ id: 1, comment_id: null, children: [...] }]
         */
        nest(link?: string, key?: string): Array<Record<string, unknown>>;
    }
}
export {};
