"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ORDER = void 0;
const utils_js_1 = require("../../utils.js");
const index_js_1 = __importDefault(require("../contains/index.js"));
var ORDER;
(function (ORDER) {
    ORDER["ASC"] = "asc";
    ORDER["DESC"] = "desc";
})(ORDER || (ORDER = {}));
exports.ORDER = ORDER;
function orderBy(arr, field, order = "asc" /* ORDER.ASC */) {
    if (field && (0, index_js_1.default)(["asc" /* ORDER.ASC */, "desc" /* ORDER.DESC */], field)) {
        order = field;
        // eslint-disable-next-line no-undefined
        field = undefined;
    }
    const iterator = order === "asc" /* ORDER.ASC */
        ? (a, b) => (a > b ? 1 : a < b ? -1 : 0)
        : (a, b) => (a < b ? 1 : a > b ? -1 : 0);
    if (field) {
        const keys = (0, utils_js_1.pathToKeys)(field);
        const reducer = (item) => keys.reduce((prev, cur) => prev[cur], item);
        return arr.sort((a, b) => iterator(reducer(a), reducer(b)));
    }
    return arr.sort(iterator);
}
exports.default = orderBy;
//# sourceMappingURL=index.js.map