"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../repeat/index.js"));
/**
 * FillS the array with the given value until the array reaches the specified size
 * @param arr
 * @param size
 * @param [value=0]
 * @example
 * pad([1, 2, 3], 5, 0); // [1, 2, 3, 0, 0]
 * @example
 * pad([1, 2, 3], -5, 0); // [0, 0, 1, 2, 3]
 */
function pad(arr, size, value = 0) {
    const length = Math.abs(size) - arr.length;
    if (length <= 0)
        return arr;
    const array = (0, index_js_1.default)(length, value);
    if (size < 0)
        return array.concat(arr);
    return arr.concat(array);
}
exports.default = pad;
//# sourceMappingURL=index.js.map