"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../../utils.js");
/**
 * Returns all of the values for the given path
 * @param array
 * @param path
 * @example
 * pluck([{a: {b: 1}}, {a: {b: 2}}, {a: {b: 3}}], 'a'); // [{b: 1}, {b: 2}, {b: 3}]
 * @example
 * pluck([{a: {b: 1}}, {a: {b: 2}}, {a: {b: 3}}], 'a.b'); // [1, 2, 3]
 */
function pluck(array, path) {
    const keys = (0, utils_js_1.pathToKeys)(path);
    // eslint-disable-next-line @typescript-eslint/no-unnecessary-condition,no-undefined
    return array.map(item => keys.reduce((prev, cur) => (prev && prev[cur]) || undefined, item));
}
exports.default = pluck;
//# sourceMappingURL=index.js.map