"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Mutates the original array to filter out the values specified
 * @param arr
 * @param args
 * @example
 * let myArray = ['a', 'b', 'c', 'a', 'b', 'c'];
 * pull(myArray, 'a', 'c'); // myArray = [ 'b', 'b' ];
 */
function pull(arr, ...args) {
    const pulled = arr.filter(value => !args.includes(value));
    arr.length = 0;
    pulled.forEach(value => arr.push(value));
}
exports.default = pull;
//# sourceMappingURL=index.js.map