"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../../utils.js");
/**
 * Returns the sum value of a given path
 * @param arr
 * @param [path]
 * @example
 * sum([1, 2, 3]); // 6
 * @example
 * sum([{a: 1}, {a: 2}, {a: 3}], 'a'); // 6
 * @example
 * sum([{a: {b: 1}}, {a: {b: 2}}, {a: {b: 3}}], 'a.b'); // 6
 */
function sum(arr, path) {
    if (path == null)
        return arr.reduce((prev, cur) => prev + cur, 0);
    const keys = (0, utils_js_1.pathToKeys)(path);
    const reducer = (item) => keys.reduce((prev, cur) => (prev && prev[cur]) || 0, item);
    return arr.reduce((prev, cur) => prev + reducer(cur), 0);
}
exports.default = sum;
//# sourceMappingURL=index.js.map