import { OperatorT } from "../../utils.js";
/**
 * Filters the array
 * @param arr
 * @param value
 * @example
 * where([1, 2, 2, 3, 4, 4, 5], 4); // [4,4]
 */
declare function where<T>(arr: T[], value: unknown): T[];
/**
 * Filters the array
 * @param arr
 * @param field
 * @param value
 * @example
 * where([{count:1}, {count:20}, {count:15}], "count", 15); // [{count:15}]
 */
declare function where<T>(arr: T[], field: string, value: unknown): T[];
/**
 * Filters the array
 * @param arr
 * @param operator
 * @param value
 * @example
 * where([1, 2, 2, 3, 4, 4, 5], "<", 4); // [1,2,2,3]
 */
declare function where<T>(arr: T[], operator: OperatorT, value: unknown): T[];
/**
 * Filters the array
 * @param arr
 * @param field
 * @param operator
 * @param value
 * @example
 * where([{count:1}, {count:20}, {count:15}], "count", ">=", 15); // [{count:20},{count:15}]
 */
declare function where<T>(arr: T[], field: string, operator: OperatorT, value: unknown): T[];
export default where;
