"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable @typescript-eslint/explicit-function-return-type */
const utils_js_1 = require("../../utils.js");
const index_js_1 = __importDefault(require("../contains/index.js"));
const OPERATORS = [
    "<" /* OPERATOR.LT */,
    "<=" /* OPERATOR.LTE */,
    "=" /* OPERATOR.EQ */,
    "<>" /* OPERATOR.NE */,
    ">=" /* OPERATOR.GTE */,
    ">" /* OPERATOR.GT */,
];
// eslint-disable-next-line max-params
function where(arr, field, operator, 
// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
value) {
    if (operator == null) {
        value = field;
        // eslint-disable-next-line no-undefined
        field = undefined;
        operator = "=" /* OPERATOR.EQ */;
    }
    else if (value == null) {
        if ((0, index_js_1.default)(OPERATORS, field)) {
            value = operator;
            operator = field;
            // eslint-disable-next-line no-undefined
            field = undefined;
        }
        else {
            value = operator;
            operator = "=" /* OPERATOR.EQ */;
        }
    }
    let iterator;
    switch (operator) {
        case "<" /* OPERATOR.LT */:
            iterator = item => item < value;
            break;
        case "<=" /* OPERATOR.LTE */:
            iterator = item => item <= value;
            break;
        case "=" /* OPERATOR.EQ */:
            iterator = item => item === value;
            break;
        case "<>" /* OPERATOR.NE */:
            iterator = item => item !== value;
            break;
        case ">=" /* OPERATOR.GTE */:
            iterator = item => item >= value;
            break;
        case ">" /* OPERATOR.GT */:
            iterator = item => item > value;
            break;
        default:
            throw new TypeError(`Expected 'operator' to be one of ${OPERATORS}, got ${operator}`);
    }
    return (0, utils_js_1.filter)(arr, field, iterator);
}
exports.default = where;
//# sourceMappingURL=index.js.map