/// <reference types="node" />
declare global {
    interface Function {
        /**
         * Defers invoking the function until the current call stack has cleared
         * @param args
         * @example
         * const test = (msg) => console.log(msg);
         * test.defer('a'), test('b'); // logs 'b' then 'a'
         */
        defer(...args: unknown[]): NodeJS.Timeout;
    }
}
export {};
