"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../../array/range/index.js"));
/**
 * Generates primes up to a given number, using the Sieve of Eratosthenes
 * @param num
 * @example
 * primes(10); // [2, 3, 5, 7]
 */
function primes(num) {
    let arr = (0, index_js_1.default)(num, 2);
    (0, index_js_1.default)(Math.floor(Math.sqrt(num)), 2).forEach(x => (arr = arr.filter(y => y % x !== 0 || y === x)));
    return arr;
}
exports.default = primes;
//# sourceMappingURL=index.js.map