"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../../utils.js");
/**
 * Creates a (deep) clone of the object
 * @param obj
 * @param [deep=false]
 * @example
 * const a = { foo: 'bar', obj: { a: 1, b: 2 } };
 * const b = clone(a, true); // a !== b, a.obj !== b.obj
 */
function clone(obj, deep = false) {
    return deep ? (0, utils_js_1.deepClone)(obj) : ({ ...obj });
}
exports.default = clone;
//# sourceMappingURL=index.js.map