"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../../date/equals/index.js"));
const index_js_2 = __importDefault(require("../../date/isDate/index.js"));
const index_js_3 = __importDefault(require("../isObject/index.js"));
const index_js_4 = __importDefault(require("../keys/index.js"));
/**
 * Performs a deep comparison between two values to determine if they are equivalent
 * @param obj
 * @param obj2
 * @example
 * equals({ a: [2, { e: 3 }], b: [4], c: 'foo' }, { a: [2, { e: 3 }], b: [4], c: 'foo' }); // true
 */
function equals(obj, obj2) {
    if (obj === obj2)
        return true;
    if ((0, index_js_2.default)(obj))
        return (0, index_js_1.default)(obj, obj2);
    // eslint-disable-next-line @typescript-eslint/no-unnecessary-condition
    if (!obj || !obj2 || !(0, index_js_3.default)(obj2))
        return obj === obj2;
    if (obj.prototype !== obj2.prototype)
        return false;
    const keys = (0, index_js_4.default)(obj);
    if (keys.length !== (0, index_js_4.default)(obj2).length)
        return false;
    return keys.every(k => equals(obj[k], obj2[k]));
}
exports.default = equals;
//# sourceMappingURL=index.js.map