"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../forEach/index.js"));
const index_js_2 = __importDefault(require("../isPlainObject/index.js"));
/**
 * Flattens the object into a single-depth object
 * @param obj
 * @example
 * flatten({ foo: 1, bar: { foo: 2 } }); // { foo: 1, "bar.foo": 2 }
 */
function flatten(obj) {
    const result = {};
    (0, index_js_1.default)(obj, (value, key) => {
        if (Array.isArray(value)) {
            const temp = {};
            value.forEach((subValue, index) => {
                temp[`[${index}]`] = subValue;
            });
            value = temp;
        }
        if ((0, index_js_2.default)(value)) {
            const flat = flatten(value);
            (0, index_js_1.default)(flat, (subValue, subKey) => {
                const separator = subKey.startsWith("[") ? "" : ".";
                result[`${key}${separator}${subKey}`] = subValue;
            });
            return;
        }
        result[key] = value;
    });
    return result;
}
exports.default = flatten;
//# sourceMappingURL=index.js.map