"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../keys/index.js"));
/**
 * Iterates the object by keys
 * @param obj
 * @param fn
 * @example
 * const users = {
 *   fred: { user: "fred", age: 40 },
 *   pebbles: { user: "pebbles", age: 1 }
 * };
 * forEach(users, u => console.log(u.age)); // console logs 40 and 1
 */
function forEach(obj, fn) {
    (0, index_js_1.default)(obj).forEach(key => fn(obj[key], key, obj));
}
exports.default = forEach;
//# sourceMappingURL=index.js.map