"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../keys/index.js"));
/**
 * Inverts the key-value pairs of the object, without mutating it
 * @param obj
 * @example
 * invert({ name: "John", age: 20 }); // { 20: "age", John: "name" }
 */
function invert(obj) {
    return (0, index_js_1.default)(obj).reduce((acc, key) => {
        acc[obj[key]] = key;
        return acc;
    }, {});
}
exports.default = invert;
//# sourceMappingURL=index.js.map