"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../isObjectLike/index.js"));
/**
 * Returns true if the given argument is a plain object
 * @param arg
 * @example
 * isPlainObject(2); // false
 * @example
 * isPlainObject({foo: 'bar'}); // true
 */
function isPlainObject(arg) {
    if (!(0, index_js_1.default)(arg))
        return false;
    let proto = arg;
    while (Object.getPrototypeOf(proto) !== null)
        proto = Object.getPrototypeOf(proto);
    return Object.getPrototypeOf(arg) === proto;
}
exports.default = isPlainObject;
//# sourceMappingURL=index.js.map