"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../forEach/index.js"));
const index_js_2 = __importDefault(require("../keys/index.js"));
/**
 * Creates an object with keys and values
 * generated by running the provided function for each value
 * @param obj
 * @param fn
 * @example
 * const users = {
 *   fred: { user: "fred", age: 40 },
 *   pebbles: { user: "pebbles", age: 1 }
 * };
 * map(users, u => u.age); // { fred: 40, pebbles: 1 }
 */
function map(obj, fn) {
    return (0, index_js_2.default)(obj).reduce((prev, k) => {
        (0, index_js_1.default)(fn(obj[k], k, obj), (value, key) => (prev[key] = value));
        return prev;
    }, {});
}
exports.default = map;
//# sourceMappingURL=index.js.map