declare global {
    interface Object {
        /**
         * Creates an object with keys and values
         * generated by running the provided function for each value
         * @param fn
         * @example
         * const users = {
         *   fred: { user: "fred", age: 40 },
         *   pebbles: { user: "pebbles", age: 1 }
         * };
         * users.$map(u => u.age); // { fred: 40, pebbles: 1 }
         */
        $map(fn: (value: unknown, key: string, object: Record<string, unknown>) => Record<string, unknown>): Record<string, unknown>;
    }
}
export {};
