"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../forEach/index.js"));
/**
 * Creates an object with keys generated by running the provided function for each key
 * and the same values as the provided object
 * @param obj
 * @param fn
 * @example
 * mapKeys({ a: 1, b: 2 }, (val, key) => key + val); // { a1: 1, b2: 2 }
 */
function mapKeys(obj, fn) {
    const result = {};
    (0, index_js_1.default)(obj, (value, key, object) => (result[fn(value, key, object)] = value));
    return result;
}
exports.default = mapKeys;
//# sourceMappingURL=index.js.map