"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../forEach/index.js"));
/**
 * Creates an object with the same keys as the provided object and values
 * generated by running the provided function for each value
 * @param obj
 * @param fn
 * @example
 * const users = {
 *   fred: { user: "fred", age: 40 },
 *   pebbles: { user: "pebbles", age: 1 }
 * };
 * mapValues(users, u => u.age); // { fred: 40, pebbles: 1 }
 */
function mapValues(obj, fn) {
    const result = {};
    (0, index_js_1.default)(obj, (value, key, object) => (result[key] = fn(value, key, object)));
    return result;
}
exports.default = mapValues;
//# sourceMappingURL=index.js.map