"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../forEach/index.js"));
/**
 * Just like array.reduce
 * @param obj
 * @param fn
 * @param [initialValue=undefined]
 * @example
 * reduce({foo: 1, bar: 2}, (prev, value, key) => [...prev, key + ":" + value], []); // ["foo:1", "bar:2"]
 */
function reduce(obj, fn, 
// eslint-disable-next-line no-undefined
initialValue = undefined) {
    let reduced = initialValue;
    (0, index_js_1.default)(obj, (value, key, object) => (reduced = fn(reduced, value, key, object)));
    return reduced;
}
exports.default = reduce;
//# sourceMappingURL=index.js.map