"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../../utils.js");
/**
 * Puts the property value indicated by the given selector into the object
 * @param obj
 * @param path
 * @param value
 * @example
 * const obj = { selector: { to: { val: 'val to select' } } };
 * set(obj, 'selector.to.val', 'new value');
 * // obj -> { selector: { to: { val: 'new value' } } }
 */
function set(obj, path, value) {
    const keys = (0, utils_js_1.pathToKeys)(path);
    const length = keys.length;
    let i = 0;
    for (; i < length - 1; i++) {
        const key = keys[i];
        if (key === "__proto__" || key === "constructor" || key === "prototype")
            return;
        obj = obj[key];
    }
    obj[keys[i]] = value;
}
exports.default = set;
//# sourceMappingURL=index.js.map