"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../../string/snakeCase/index.js"));
const index_js_2 = __importDefault(require("../forEach/index.js"));
/**
 * Creates a new object from the specified object, where all the keys are in snake-case
 * @param obj
 * @example
 * const myObj = { FirstName: "Adam", "last-name": "Smith" };
 * const myObjLower = snakeCaseKeys(myObj); // {first_name: "Adam", last_name: "Smith"}
 */
function snakeCaseKeys(obj) {
    const result = {};
    (0, index_js_2.default)(obj, (value, key) => (result[(0, index_js_1.default)(key)] = value));
    return result;
}
exports.default = snakeCaseKeys;
//# sourceMappingURL=index.js.map