"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Replaces all but the last num of characters with the specified mask character
 * @param str
 * @param [num=4]
 * @param [replaceValue='*']
 * @example
 * mask('1234567890'); // '******7890'
 * @example
 * mask('1234567890', 3); // '*******890'
 * @example
 * mask('1234567890', -4, '$'); // '$$$$567890'
 */
function mask(str, num = 4, replaceValue = "*") {
    return str.slice(0, -num).replace(/./g, replaceValue) + str.slice(-num);
}
exports.default = mask;
//# sourceMappingURL=index.js.map