"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../repeat/index.js"));
/**
 * FillS the string with the given value until the string reaches the specified size
 * @param str
 * @param size
 * @param [value=" "]
 * @example
 * pad("123", 5, 0); // "12300"
 * @example
 * pad("123", -5, 0); // "00123"
 */
function pad(str, size, value = " ") {
    const s = Math.abs(size);
    if (s <= str.length)
        return str;
    const padStr = (0, index_js_1.default)(s - str.length, value);
    if (size < 0)
        return `${padStr}${str}`;
    return `${str}${padStr}`;
}
exports.default = pad;
//# sourceMappingURL=index.js.map