"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Truncates a string up to a specified length
 * @param str
 * @param num
 * @param [truncateString="..."]
 * @example
 * truncate('boomerang', 7); // 'boom...'
 * @example
 * truncate('boomerang', 7, '....'); // 'boo....'
 */
function truncate(str, num, truncateString = "...") {
    const length = truncateString.length;
    return str.length > num
        ? str.slice(0, num > length ? num - length : num) + truncateString
        : str;
}
exports.default = truncate;
//# sourceMappingURL=index.js.map