import { PathT } from "../../utils.js";
/**
 * It's like join but u get to tell it which keys to join
 * @param array
 * @param path
 * @param [separator=", "]
 * @example
 * implode([{a: {b: 'first'}}, {a: {b: 'second'}}, {a: {b: 'third'}}], 'a.b', ', ');
 * // 'first, second, third'
 */
declare function implode<Value extends Record<string, unknown>, Path extends PathT<Value> = never>(array: Value[], path: Path, separator?: string): string;
export default implode;
