import { PathT } from "../../utils.js";
/**
 * Returns the maximum value of a given path
 * @param array
 * @param [path]
 * @example
 * max([{a: 1}, {a: 2}, {a: 3}], 'a'); // 3
 * @example
 * max([{a: {b: 1}}, {a: {b: 2}}, {a: {b: 3}}], 'a.b'); // 3
 */
declare function max<Value extends Record<string, unknown>, Path extends PathT<Value> = never>(array: Value[], path?: Path): number;
/**
 * Returns the maximum value of a given path
 * @param array
 * @example
 * max([1, 2, 3]); // 3
 */
declare function max<Value>(array: Value[]): number;
export default max;
