import { PathT } from "../../utils.js";
/**
 * Returns the median value of a given path
 * @param array
 * @param [path]
 * @example
 * median([{foo: 10}, {foo: 10}, {foo: 20}, {foo: 40}], 'foo'); // 15
 */
declare function median<Value extends Record<string, unknown>, Path extends PathT<Value> = never>(array: Value[], path?: Path): number;
/**
 * Returns the median value of a given path
 * @param array
 * @example
 * median([1, 1, 2, 4]); // 1.5
 */
declare function median<Value>(array: Value[]): number;
export default median;
