import { PathT } from "../../utils.js";
/**
 * Returns the minimum value of a given path
 * @param array
 * @param [path]
 * @example
 * min([{a: 1}, {a: 2}, {a: 3}], 'a'); // 1
 * @example
 * min([{a: {b: 1}}, {a: {b: 2}}, {a: {b: 3}}], 'a.b'); // 1
 */
declare function min<Value extends Record<string, unknown>, Path extends PathT<Value> = never>(array: Value[], path?: Path): number;
/**
 * Returns the minimum value of a given path
 * @param array
 * @example
 * min([1, 2, 3]); // 1
 */
declare function min<Value>(array: Value[]): number;
export default min;
