/**
 * Given a flat array of objects linked to one another, it will nest them recursively
 * @param arr
 * @param [link="parent_id"]
 * @param [key="id"]
 * @example
 * const comments = [
 *   { id: 1, comment_id: null },
 *   { id: 2, comment_id: 1 },
 *   { id: 3, comment_id: 1 },
 *   { id: 4, comment_id: 2 },
 *   { id: 5, comment_id: 4 }
 * ];
 * nest(comments, "comment_id"); // [{ id: 1, comment_id: null, children: [...] }]
 */
export default function nest<T extends Record<string, unknown>>(arr: T[], link?: string, key?: string): Array<Record<string, unknown>>;
