import { pathToKeys } from "../../utils.js";
import contains from "../contains/index.js";
var ORDER;
(function (ORDER) {
    ORDER["ASC"] = "asc";
    ORDER["DESC"] = "desc";
})(ORDER || (ORDER = {}));
function orderBy(arr, field, order = "asc" /* ORDER.ASC */) {
    if (field && contains(["asc" /* ORDER.ASC */, "desc" /* ORDER.DESC */], field)) {
        order = field;
        // eslint-disable-next-line no-undefined
        field = undefined;
    }
    const iterator = order === "asc" /* ORDER.ASC */
        ? (a, b) => (a > b ? 1 : a < b ? -1 : 0)
        : (a, b) => (a < b ? 1 : a > b ? -1 : 0);
    if (field) {
        const keys = pathToKeys(field);
        const reducer = (item) => keys.reduce((prev, cur) => prev[cur], item);
        return arr.sort((a, b) => iterator(reducer(a), reducer(b)));
    }
    return arr.sort(iterator);
}
export default orderBy;
export { ORDER };
//# sourceMappingURL=index.js.map