import { pathToKeys } from "../../utils.js";
/**
 * Returns all of the values for the given path
 * @param array
 * @param path
 * @example
 * pluck([{a: {b: 1}}, {a: {b: 2}}, {a: {b: 3}}], 'a'); // [{b: 1}, {b: 2}, {b: 3}]
 * @example
 * pluck([{a: {b: 1}}, {a: {b: 2}}, {a: {b: 3}}], 'a.b'); // [1, 2, 3]
 */
export default function pluck(array, path) {
    const keys = pathToKeys(path);
    // eslint-disable-next-line @typescript-eslint/no-unnecessary-condition,no-undefined
    return array.map(item => keys.reduce((prev, cur) => (prev && prev[cur]) || undefined, item));
}
//# sourceMappingURL=index.js.map