import { PathT } from "../../utils.js";
/**
 * Returns the sum value of a given path
 * @param arr
 * @param [path]
 * @example
 * sum([1, 2, 3]); // 6
 * @example
 * sum([{a: 1}, {a: 2}, {a: 3}], 'a'); // 6
 * @example
 * sum([{a: {b: 1}}, {a: {b: 2}}, {a: {b: 3}}], 'a.b'); // 6
 */
export default function sum<Value, Path extends PathT<Value> = PathT<Value>>(arr: Value[], path?: Path): number;
