/**
 * Converts a 2D array to a comma-separated values (CSV) string
 * @param arr
 * @param [delimiter=","]
 * @example
 * toCSV([['a', 'b'], ['c', 'd']]); // '"a","b"\n"c","d"'
 * @example
 * toCSV([['a', 'b'], ['c', 'd']], ';'); // '"a";"b"\n"c";"d"'
 */
export default function toCSV(arr, delimiter = ",") {
    return arr
        .map((v) => v.map((x) => `"${x}"`).join(delimiter))
        .join("\n");
}
//# sourceMappingURL=index.js.map