/* eslint-disable @typescript-eslint/explicit-function-return-type */
import { filter } from "../../utils.js";
import contains from "../contains/index.js";
const OPERATORS = [
    "<" /* OPERATOR.LT */,
    "<=" /* OPERATOR.LTE */,
    "=" /* OPERATOR.EQ */,
    "<>" /* OPERATOR.NE */,
    ">=" /* OPERATOR.GTE */,
    ">" /* OPERATOR.GT */,
];
// eslint-disable-next-line max-params
function where(arr, field, operator, 
// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
value) {
    if (operator == null) {
        value = field;
        // eslint-disable-next-line no-undefined
        field = undefined;
        operator = "=" /* OPERATOR.EQ */;
    }
    else if (value == null) {
        if (contains(OPERATORS, field)) {
            value = operator;
            operator = field;
            // eslint-disable-next-line no-undefined
            field = undefined;
        }
        else {
            value = operator;
            operator = "=" /* OPERATOR.EQ */;
        }
    }
    let iterator;
    switch (operator) {
        case "<" /* OPERATOR.LT */:
            iterator = item => item < value;
            break;
        case "<=" /* OPERATOR.LTE */:
            iterator = item => item <= value;
            break;
        case "=" /* OPERATOR.EQ */:
            iterator = item => item === value;
            break;
        case "<>" /* OPERATOR.NE */:
            iterator = item => item !== value;
            break;
        case ">=" /* OPERATOR.GTE */:
            iterator = item => item >= value;
            break;
        case ">" /* OPERATOR.GT */:
            iterator = item => item > value;
            break;
        default:
            throw new TypeError(`Expected 'operator' to be one of ${OPERATORS}, got ${operator}`);
    }
    return filter(arr, field, iterator);
}
export default where;
//# sourceMappingURL=index.js.map