/**
 * Defers invoking the function until the current call stack has cleared
 * @param func
 * @param args
 * @example
 * const test = (msg) => console.log(msg);
 * defer(test, 'a'), test('b'); // logs 'b' then 'a'
 */
export default function defer(func, ...args) {
    return setTimeout(func, 1, ...args);
}
//# sourceMappingURL=index.js.map