/**
 * Ensures a function is called only once
 * @param func
 * @param args
 * @example
 * const test = (msg) => console.log(msg);
 * once(test, 'a'); // logs 'a'
 * once(test, 'b'); // no log this time
 */
export default function once(func, ...args) {
    if (func.called)
        return;
    func.called = true;
    return func.call(func, ...args);
}
//# sourceMappingURL=index.js.map