import forEach from "../forEach/index.js";
/**
 * Creates an object with keys generated by running the provided function for each key
 * and the same values as the provided object
 * @param obj
 * @param fn
 * @example
 * mapKeys({ a: 1, b: 2 }, (val, key) => key + val); // { a1: 1, b2: 2 }
 */
export default function mapKeys(obj, fn) {
    const result = {};
    forEach(obj, (value, key, object) => (result[fn(value, key, object)] = value));
    return result;
}
//# sourceMappingURL=index.js.map