declare global {
    interface Object {
        /**
         * Creates an object with keys generated by running the provided function for each key
         * and the same values as the provided object
         * @param fn
         * @example
         * ({ a: 1, b: 2 }).$mapKeys((val, key) => key + val); // { a1: 1, b2: 2 }
         */
        $mapKeys(fn: (value: unknown, key: string, object: Record<string, unknown>) => string): Record<string, unknown>;
    }
}
export {};
