import forEach from "../forEach/index.js";
/**
 * Creates an object with the same keys as the provided object and values
 * generated by running the provided function for each value
 * @param obj
 * @param fn
 * @example
 * const users = {
 *   fred: { user: "fred", age: 40 },
 *   pebbles: { user: "pebbles", age: 1 }
 * };
 * mapValues(users, u => u.age); // { fred: 40, pebbles: 1 }
 */
export default function mapValues(obj, fn) {
    const result = {};
    forEach(obj, (value, key, object) => (result[key] = fn(value, key, object)));
    return result;
}
//# sourceMappingURL=index.js.map