import forEach from "../forEach/index.js";
/**
 * Just like array.reduce
 * @param obj
 * @param fn
 * @param [initialValue=undefined]
 * @example
 * reduce({foo: 1, bar: 2}, (prev, value, key) => [...prev, key + ":" + value], []); // ["foo:1", "bar:2"]
 */
export default function reduce(obj, fn, 
// eslint-disable-next-line no-undefined
initialValue = undefined) {
    let reduced = initialValue;
    forEach(obj, (value, key, object) => (reduced = fn(reduced, value, key, object)));
    return reduced;
}
//# sourceMappingURL=index.js.map