import { pathToKeys } from "../../utils.js";
/**
 * Puts the property value indicated by the given selector into the object
 * @param obj
 * @param path
 * @param value
 * @example
 * const obj = { selector: { to: { val: 'val to select' } } };
 * set(obj, 'selector.to.val', 'new value');
 * // obj -> { selector: { to: { val: 'new value' } } }
 */
export default function set(obj, path, value) {
    const keys = pathToKeys(path);
    const length = keys.length;
    let i = 0;
    for (; i < length - 1; i++) {
        const key = keys[i];
        if (key === "__proto__" || key === "constructor" || key === "prototype")
            return;
        obj = obj[key];
    }
    obj[keys[i]] = value;
}
//# sourceMappingURL=index.js.map